Package it.ernytech.tdlib

## Class TdApi.DeviceTokenWebPush

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.DeviceToken
    - - it.ernytech.tdlib.TdApi.DeviceTokenWebPush

Enclosing class:
  TdApi

    public static class TdApi.DeviceTokenWebPush
    extends TdApi.DeviceToken

A token for web Push API.

### Field Summary

Fields
`java.lang.String` `authBase64url` Base64url-encoded authentication secret.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `endpoint` Absolute URL exposed by the push service where the application server can send push messages, may be empty to de-register a device.
`java.lang.String` `p256dhBase64url` Base64url-encoded P-256 elliptic curve Diffie-Hellman public key.

### Constructor Summary

Constructors
`DeviceTokenWebPush()` Default constructor.
`DeviceTokenWebPush​(java.lang.String endpoint, java.lang.String p256dhBase64url, java.lang.String authBase64url)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### endpoint

    public java.lang.String endpoint

Absolute URL exposed by the push service where the application server can send push messages, may be empty to de-register a device.

#### p256dhBase64url

    public java.lang.String p256dhBase64url

Base64url-encoded P-256 elliptic curve Diffie-Hellman public key.

#### authBase64url

    public java.lang.String authBase64url

Base64url-encoded authentication secret.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DeviceTokenWebPush

    public DeviceTokenWebPush()

Default constructor.

#### DeviceTokenWebPush

    public DeviceTokenWebPush​(java.lang.String endpoint,
                              java.lang.String p256dhBase64url,
                              java.lang.String authBase64url)

Constructor for initialization of all fields.

Parameters:
  `endpoint` - Absolute URL exposed by the push service where the application server can send push messages, may be empty to de-register a device.
  `p256dhBase64url` - Base64url-encoded P-256 elliptic curve Diffie-Hellman public key.
  `authBase64url` - Base64url-encoded authentication secret.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR